<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrONE=trim(V($_GET['CmdB']));	
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrCod=V($_POST['TxtCod']);		
	$StrDes=V($_POST['TxtDes']);
	$StrMar=V($_POST['CboMar']);
	if(strlen($StrMar)==0)$StrMar="TODOS";
	if(strlen($StrLin)==0)$StrLin="TODOS";
	//
	$Fab=V($_POST['Fab']);
	$Mod=V($_POST['Mod']);
	//
	$Fab_=LIKE($Fab);
	$Mod_=LIKE($Mod);
	
	$IdUsu=$_SESSION['SYS_USER_ID'];
	
	//
	if(strlen($StrCmd)==0)$StrCmd=V($_GET['TxtAc']);
	if($_SESSION['SYS_USER_ALM']=="%"){
		if(strlen($StrAlm)==0)$StrAlm=GetSO("alm_nombre","almacenes","","alm_nombre");
	}else{
		$StrAlm=$_SESSION['SYS_USER_ALM'];
	}	

	$StrAlm=T($StrAlm);
	
	$StrCodT=$StrCod."%";
	$StrDesT=$StrDes."%";
	$StrMarT=$StrMar;
	if($StrMarT=="TODOS") $StrMarT="%";

	$FF="ID>0 
		AND ALM LIKE '$StrAlm'
		AND COD LIKE '$StrCodT'  
		AND DESCRIPCION LIKE '$StrDesT' 
		AND MARCA LIKE '$StrMarT' 
		AND FAB LIKE '$Fab_' AND MODELO LIKE '$Mod_' ";

	$LStrTR=gn("count(*)","v_stocks",$FF);
	$LStrPag=V($_POST['TxtPag']);	
	if($StrCmd=="F"){$LStrPag="1";}
	$VP_RegXPag=50000;	
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	//-------------------------
	$LStrFoc="document.getElementById('CboAlm').focus();";
	$LStrMsg="onload=\"$LStrFoc;\"";
	
	
	$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>

<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de Stock Minimo</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}
</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("TxtCod");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}


$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="rep_stock_min.php" style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">REPORTE DE STOCK MINIMO</div>
</div>
<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 138px; width: 149px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu==1){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"N","N");
    }
?>
</select>

<div class="s1" style="left: 192px; top: 121px; width: 52px;">CODIGO</div>
<input name="TxtCod" type="text" id="TxtCod" 
class="lt" style="left: 192px; top: 138px; width:118px" 
value="<?php echo $StrCod;?>"  
tabindex="<?php echo ++$TI;?>"/>
<div class="s1" style="left: 322px; top: 121px; width: 540px;">DESCRIPCION</div>
<input name="TxtDes" type="text" id="TxtDes" 
class="lt" style="left: 321px; top: 138px; width: 653px;"
value="<?php echo $StrDes;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 987px; top: 121px; width: 116px;">MARCA</div>
<select name="CboMar" id="CboMar" 
class="lt" style="position:absolute; left: 985px; top: 138px; width: 120px;"
tabindex="<?php echo ++$TI;?>">
<?php	echo FCBO_("mar_nombre","marcas","id_marca>0",$StrMar,"S","N")?>  
</select>


<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>

<!-------GRID.TABLA------>
<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 409px; overflow: auto">
<table id="Exportar_a_Excel" width="75%">
<thead>
<tr>
<td colspan="8" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<th width="90" style="text-align:left; background:#999">CODIGO</th>
<th width="256"  style="text-align:left; background:#999"">DESCRIPCION</th>
<th width="166" style="text-align:left; background:#999"">MARCA</th>
<th width="106" style="text-align:left; background:#999"">STOCK.MIN</th>
<th width="107" style="text-align:right; background:#999"">STOCK ACTUAL</th>
<th width="100" style="text-align:right; background:#999"">POR. REPONER</th>
</tr>
</thead>
<tbody>

<?php		  		
    $IdAlm=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");		  	
    $s="SELECT ID,COD,LINEA,DESCRIPCION,MARCA,STOCK,FAB,MODELO  
        FROM v_stocks WHERE ".$FF."	ORDER BY DESCRIPCION,MARCA ";	
					
    $s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);				
    $result = grs($s);
    while ($row = $result->fetch_row()){
		$SMIN=gn("cantidad","stockm","id_almacen=$IdAlm AND id_producto=$row[0]");
		if($SMIN>$row[5]){
			echo "<tr bgcolor=\"#FFFFFF\">";
			echo "<td >'$row[1]</td>";
			echo "<td >$row[3]</td>";
			echo "<td >$row[4]</td>";			
			echo "<td style=\"text-align:right\">$S_Min</td>";		
			echo "<td style=\"text-align:right; color:#F00\">$row[5]</td>";		
			echo "<td style=\"text-align:right\">".($S_Min - $row[5])."</td>";	
			echo "</tr>";
		}
    }
?>
</tbody>
</table>
</div>

<!----------------------------------------->
<?php include("ocultos.php");?>

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 219px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<!--------GEN.PDF-------->
<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrCod,$StrDes,$StrMar,$StrLin,$Fab,$Mod);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrCod,$StrDes,$StrMar,$StrLin,$Fab,$Mod){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"REPORTE DE STOCK MINIMO",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
	$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrLin)>0){
	$_ENC=vbl("LINEA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrLin.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCod)>0){
	$_ENC=vbl("CODIGO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrCod.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($Fab)>0){
	$_ENC=vbl("FABRICANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($Fab.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($Mod)>0){
	$_ENC=vbl("MODELO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($Mod.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
	$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
	$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
//
$_ENC=vbl("CODIGO".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("LINEA".vbfill(" ",15),15);
$_ENC=$_ENC." ".vbl("FABRICANTE".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("MODELO".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",23),23);
$_ENC=$_ENC." ".vbr(vbfill(" ",5)."S.MIN",5);
$_ENC=$_ENC." ".vbr(vbfill(" ",5)."S.ACT",5);
$_ENC=$_ENC." ".vbr(vbfill(" ",5)." REP.",5);
//
$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$ID_ALM=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
$s="SELECT ID,COD,LINEA,DESCRIPCION,MARCA,STOCK,FAB,MODELO  
    FROM v_stocks WHERE ".$FF."	ORDER BY DESCRIPCION,MARCA "; 
//
$result = grs($s);
while ($row =$result->fetch_assoc()){
	$SMIN=gn("cantidad","stockm","id_almacen=$ID_ALM AND id_producto=$row[ID]");
	if($SMIN>$row['STOCK']){
		$_ENC=vbl($row['COD'].vbfill(" ",10),10);
		$_ENC=$_ENC." ".vbl($row['LINEA'].vbfill(" ",15),15);
		$_ENC=$_ENC." ".vbl($row['FAB'].vbfill(" ",10),10);
		$_ENC=$_ENC." ".vbl($row['MODELO'].vbfill(" ",10),10);
		$_ENC=$_ENC." ".vbl($row['DESCRIPCION'].vbfill(" ",23),23);
		$_ENC=$_ENC." ".vbr(vbfill(" ",5).$SMIN,5);
		$_ENC=$_ENC." ".vbr(vbfill(" ",5).$row['STOCK'],5);
		$_ENC=$_ENC." ".vbr(vbfill(" ",5).($SMIN - $row['STOCK']),5);
		$pdf->Cell(0,4,$_ENC,0,1);	
	}
}
//
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	
$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Reporte de Stock Minimo.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 223px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>